#!/usr/bin/env bash

pkgver=0.18.0
pkgdir=/tmp/grml/

echo "--** Installing dependencies **--"
apt update
apt install zsh coreutils grep sed procps txt2tags build-essential

echo "--** Creating pkgdir **--"
mkdir -p ${pkgdir}
cd ${pkgdir}

echo "--** Downloading grml core **--"
wget "https://deb.grml.org/pool/main/g/grml-etc-core/grml-etc-core_${pkgver}.tar.gz"
tar xvf grml-etc-core_${pkgver}.tar.gz

echo "--** Make docs **--"
cd "grml-etc-core-${pkgver}/doc/"
make

echo "--** Install grml config **--"
cd ..
set -x # echo on
install -D -m644 etc/skel/.zshrc "/etc/skel/.zshrc"
install -D -m644 etc/zsh/keephack "/etc/zsh/keephack"
install -D -m644 etc/zsh/zshrc "/etc/zsh/zshrc"
install -D -m644 doc/grmlzshrc.5 "/usr/share/man/man5/grmlzshrc.5"
ln -sf grmlzshrc.5.gz "/usr/share/man/man5/grml-zsh-config.5.gz"
set +x # echo off

echo "--** Cleaning up **--"
rm -r "${pkgdir}"